Subject: Re: Metal Artists

From: [email-masked] (PeterWRowe)
Date: 7 Jun 1995 03:25:13 -0400

As a conference attendee at the SNAG (Society of North American
Goldsmiths) conference in New Orleans in March, I, and the other
conference goers visted quite a number a galleries in New Orleans.  They
have quite a vibrant metals community there, and ArtMetal is one of a
number of fine places there worth visiting (Aside, of course, from Bourbon
street partying...)  If you go there, you might also check out Thomas
Manns various galleries and studios, among many others....